#define PIR_PIN 25 // PIRセンサーのOUTピンを接続したGPIO番号

void setup() {
  Serial.begin(115200);
  pinMode(PIR_PIN, INPUT); // PIRピンを入力モードに設定
  pinMode(2, OUTPUT);
}

void loop() {
  int sensorValue = digitalRead(PIR_PIN); // PIRセンサーの値を読み取る
  
  if (sensorValue == HIGH) {
    Serial.println("Motion detected!"); // 動きを検知した場合
    digitalWrite(2, HIGH);
  } else {
    Serial.println("No motion.");
    digitalWrite(2, LOW);
  }
  
  delay(500); // 0.5秒ごとに読み取る
}
